#!/bin/bash

YAML_URL='https://github.com/jbeder/yaml-cpp/archive/release-0.5.1.tar.gz'
OPENXCOM_URL='https://openxcom.org/file/1726/'

RESOURCES_DIR=resources
ARCHIVE_DIR=$RESOURCES_DIR/archives
YAML_ARCHIVE=$ARCHIVE_DIR/yaml-cpp-0.5.1.tar.gz
OPENXCOM_ARCHIVE=$ARCHIVE_DIR/openxcom.tar.gz


echo "------Fetching yaml-cpp"
wget -O $YAML_ARCHIVE "$YAML_URL" || exit 1
echo "------Fetching OpenXcom"
wget -O $OPENXCOM_ARCHIVE "$OPENXCOM_URL" || exit 1

echo "------Checking archives"
CHECKSUM_FILE=archives.sha256

cd $RESOURCES_DIR
sha256sum -c $CHECKSUM_FILE
